qpid::framing::QueueQueryResult Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::QueueQueryResult Class Reference

`#include <qpid/framing/QueueQueryResult.h>`

List of all members.

## Public Member Functions
| QueueQueryResult (const std::string &_queue, const std::string &_alternateExchange, bool _durable, bool _exclusive, bool _autoDelete, const FieldTable &_arguments, uint32_t _messageCount, uint32_t _subscriberCount)
| QueueQueryResult ()
void | setQueue (const std::string &_queue)
const std::string & | getQueue () const
bool | hasQueue () const
void | clearQueueFlag ()
void | setAlternateExchange (const std::string &_alternateExchange)
const std::string & | getAlternateExchange () const
bool | hasAlternateExchange () const
void | clearAlternateExchangeFlag ()
void | setDurable (bool _durable)
bool | getDurable () const
void | setExclusive (bool _exclusive)
bool | getExclusive () const
void | setAutoDelete (bool _autoDelete)
bool | getAutoDelete () const
void | setArguments (const FieldTable &_arguments)
const FieldTable & | getArguments () const
FieldTable & | getArguments ()
bool | hasArguments () const
void | clearArgumentsFlag ()
void | setMessageCount (uint32_t _messageCount)
uint32_t | getMessageCount () const
bool | hasMessageCount () const
void | clearMessageCountFlag ()
void | setSubscriberCount (uint32_t _subscriberCount)
uint32_t | getSubscriberCount () const
bool | hasSubscriberCount () const
void | clearSubscriberCountFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 2049
## Friends
std::ostream & | operator<< (std::ostream &, const QueueQueryResult &)

## Constructor & Destructor Documentation

qpid::framing::QueueQueryResult::QueueQueryResult | ( | const std::string & | _queue,
|  | const std::string & | _alternateExchange,
|  | bool | _durable,
|  | bool | _exclusive,
|  | bool | _autoDelete,
|  | const FieldTable & | _arguments,
|  | uint32_t | _messageCount,
|  | uint32_t | _subscriberCount
| ) |  | `[inline]`

Definition at line 47 of file QueueQueryResult.h.

qpid::framing::QueueQueryResult::QueueQueryResult | ( |  | ) | `[inline]`

Definition at line 71 of file QueueQueryResult.h.

## Member Function Documentation

uint32_t qpid::framing::QueueQueryResult::bodySize | ( |  | ) | const

void qpid::framing::QueueQueryResult::clearAlternateExchangeFlag | ( |  | ) |

void qpid::framing::QueueQueryResult::clearArgumentsFlag | ( |  | ) |

void qpid::framing::QueueQueryResult::clearMessageCountFlag | ( |  | ) |

void qpid::framing::QueueQueryResult::clearQueueFlag | ( |  | ) |

void qpid::framing::QueueQueryResult::clearSubscriberCountFlag | ( |  | ) |

void qpid::framing::QueueQueryResult::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::QueueQueryResult::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::QueueQueryResult::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::QueueQueryResult::encodedSize | ( |  | ) | const

void qpid::framing::QueueQueryResult::encodeStructBody | ( | Buffer & |  | ) | const

const std::string& qpid::framing::QueueQueryResult::getAlternateExchange | ( |  | ) | const

const FieldTable& qpid::framing::QueueQueryResult::getArguments | ( |  | ) | const

FieldTable& qpid::framing::QueueQueryResult::getArguments | ( |  | ) |

bool qpid::framing::QueueQueryResult::getAutoDelete | ( |  | ) | const

bool qpid::framing::QueueQueryResult::getDurable | ( |  | ) | const

bool qpid::framing::QueueQueryResult::getExclusive | ( |  | ) | const

uint32_t qpid::framing::QueueQueryResult::getMessageCount | ( |  | ) | const

const std::string& qpid::framing::QueueQueryResult::getQueue | ( |  | ) | const

uint32_t qpid::framing::QueueQueryResult::getSubscriberCount | ( |  | ) | const

bool qpid::framing::QueueQueryResult::hasAlternateExchange | ( |  | ) | const

bool qpid::framing::QueueQueryResult::hasArguments | ( |  | ) | const

bool qpid::framing::QueueQueryResult::hasMessageCount | ( |  | ) | const

bool qpid::framing::QueueQueryResult::hasQueue | ( |  | ) | const

bool qpid::framing::QueueQueryResult::hasSubscriberCount | ( |  | ) | const

void qpid::framing::QueueQueryResult::print | ( | std::ostream & | out | ) | const

void qpid::framing::QueueQueryResult::setAlternateExchange | ( | const std::string & | _alternateExchange | ) |

void qpid::framing::QueueQueryResult::setArguments | ( | const FieldTable & | _arguments | ) |

void qpid::framing::QueueQueryResult::setAutoDelete | ( | bool | _autoDelete | ) |

void qpid::framing::QueueQueryResult::setDurable | ( | bool | _durable | ) |

void qpid::framing::QueueQueryResult::setExclusive | ( | bool | _exclusive | ) |

void qpid::framing::QueueQueryResult::setMessageCount | ( | uint32_t | _messageCount | ) |

void qpid::framing::QueueQueryResult::setQueue | ( | const std::string & | _queue | ) |

void qpid::framing::QueueQueryResult::setSubscriberCount | ( | uint32_t | _subscriberCount | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const QueueQueryResult & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::QueueQueryResult::TYPE = 2049`[static]`

Definition at line 46 of file QueueQueryResult.h.

The documentation for this class was generated from the following file:

- qpid/framing/QueueQueryResult.h